#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%define		svers		%(echo %{version} | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	goffice
Version		:	0.10.56
Release		:	17.0.10.rel%{?dist}
Summary		:	G Office support libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLV2+
URL		:	https://gitlab.gnome.org/GNOME/goffice

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	at-spi2-core-devel
BuildRequires	:	gcc
BuildRequires	:	intltool
BuildRequires	:	pkgconfig(gtk+-3.0) >= 3.8.7
BuildRequires	:	pkgconfig(libgsf-1) >= 1.14.24
BuildRequires	:	pkgconfig(librsvg-2.0) >= 2.22.0
BuildRequires	:	pkgconfig(libxslt)
BuildRequires	:	perl(IO::Compress::Gzip)

#-----------------------------------------------------------------------------
%description
Support libraries for gnome office

#-----------------------------------------------------------------------------
%files			-f goffice-%{version}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{_libdir}/lib%{name}-%{svers}.so.*
%{_libdir}/%{name}/%{version}/plugins/plot_*/*.{so,xml}
%{_libdir}/%{name}/%{version}/plugins/reg_*/*.{so,xml}
%{_libdir}/%{name}/%{version}/plugins/smoothing/*.{so,xml}
%{_datadir}/%{name}/%{version}/mmlitex/README
%{_datadir}/%{name}/%{version}/mmlitex/*.xsl

#=============================================================================
%package		devel
Summary		:	Libraries and include files for goffice

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}
#-----------------------------------------------------------------------------
%description		devel
Development libraries for goffice

#-----------------------------------------------------------------------------
%files			devel
%{_includedir}/lib%{name}-%{svers}/%{name}/*.h
%{_includedir}/lib%{name}-%{svers}/%{name}/app/*.h
%{_includedir}/lib%{name}-%{svers}/%{name}/canvas/*.h
%{_includedir}/lib%{name}-%{svers}/%{name}/component/*.h
%{_includedir}/lib%{name}-%{svers}/%{name}/data/*.h
%{_includedir}/lib%{name}-%{svers}/%{name}/graph/*.h
%{_includedir}/lib%{name}-%{svers}/%{name}/gtk/*.h
%{_includedir}/lib%{name}-%{svers}/%{name}/math/*.h
%{_includedir}/lib%{name}-%{svers}/%{name}/utils/*.h
%{_libdir}/lib%{name}-%{svers}.so
%{_libdir}/pkgconfig/lib%{name}-%{svers}.pc
%{_datadir}/gtk-doc/html/%{name}-%{svers}/*.{html,png}
%{_datadir}/gtk-doc/html/%{name}-%{svers}/%{name}-%{svers}.devhelp2
%{_datadir}/gtk-doc/html/%{name}-%{svers}/style.css

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
	--prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%find_lang %{name}-%{version}
	
#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
